"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateESMExportFile = exports.addESMExportFile = exports.generateCommonJsExportFile = exports.addCommonJsExportFile = void 0;
const writeAndAddFile_1 = require("./writeAndAddFile");
const addCommonJsExportFile = (config, file, content) => __awaiter(void 0, void 0, void 0, function* () {
    const stringContent = (0, exports.generateCommonJsExportFile)(content);
    yield (0, writeAndAddFile_1.writeAndAddFile)(config, file, stringContent);
});
exports.addCommonJsExportFile = addCommonJsExportFile;
const generateCommonJsExportFile = (content) => {
    return `module.exports = ${JSON.stringify(content, null, 2)}
`;
};
exports.generateCommonJsExportFile = generateCommonJsExportFile;
const addESMExportFile = (config, file, content) => __awaiter(void 0, void 0, void 0, function* () {
    const stringContent = (0, exports.generateESMExportFile)(content);
    yield (0, writeAndAddFile_1.writeAndAddFile)(config, file, stringContent);
});
exports.addESMExportFile = addESMExportFile;
const generateESMExportFile = (content) => {
    return `const config = ${JSON.stringify(content, null, 2)}

export default config`;
};
exports.generateESMExportFile = generateESMExportFile;
