"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.appendScriptToPackageContent = exports.addScriptToPackageContent = exports.appendScriptToPackage = exports.addScriptToPackage = void 0;
const loadExistingFile_1 = require("./loadExistingFile");
const writeAndAddFile_1 = require("./writeAndAddFile");
const addScriptToPackage = (config, scriptName, script) => __awaiter(void 0, void 0, void 0, function* () {
    const packageJsonContent = (yield (0, loadExistingFile_1.loadExistingFile)(config, "package.json")) || "{}";
    const modifiedPackageJsonContent = yield (0, exports.addScriptToPackageContent)(packageJsonContent, scriptName, script);
    yield (0, writeAndAddFile_1.writeAndAddFile)(config, "package.json", modifiedPackageJsonContent);
});
exports.addScriptToPackage = addScriptToPackage;
const appendScriptToPackage = (config, scriptName, script) => __awaiter(void 0, void 0, void 0, function* () {
    const packageJsonContent = (yield (0, loadExistingFile_1.loadExistingFile)(config, "package.json")) || "{}";
    const modifiedPackageJsonContent = yield (0, exports.appendScriptToPackageContent)(packageJsonContent, scriptName, script);
    yield (0, writeAndAddFile_1.writeAndAddFile)(config, "package.json", modifiedPackageJsonContent);
});
exports.appendScriptToPackage = appendScriptToPackage;
const addScriptToPackageContent = (packageJsonContent, scriptName, script) => {
    const packageJson = JSON.parse(packageJsonContent);
    const newPackage = Object.assign(Object.assign({}, packageJson), { scripts: Object.assign(Object.assign({}, packageJson.scripts), { [scriptName]: script }) });
    return JSON.stringify(newPackage, null, 2);
};
exports.addScriptToPackageContent = addScriptToPackageContent;
const appendScriptToPackageContent = (packageJsonContent, scriptName, script) => {
    var _a, _b, _c;
    const packageJson = JSON.parse(packageJsonContent);
    const newScriptParts = [...((_c = (_b = (_a = packageJson === null || packageJson === void 0 ? void 0 : packageJson.scripts) === null || _a === void 0 ? void 0 : _a[scriptName]) === null || _b === void 0 ? void 0 : _b.split(" && ")) !== null && _c !== void 0 ? _c : []), ...script.split(" && ")];
    const uniqueScriptParts = [...new Set(newScriptParts)].filter(v => v);
    const newScript = uniqueScriptParts.join(" && ");
    const newPackage = Object.assign(Object.assign({}, packageJson), { scripts: Object.assign(Object.assign({}, packageJson.scripts), { [scriptName]: newScript }) });
    return JSON.stringify(newPackage, null, 2);
};
exports.appendScriptToPackageContent = appendScriptToPackageContent;
