"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.appendToIgnoreFile = exports.addToGitIgnore = void 0;
const addToIgnoreFile_1 = require("./addToIgnoreFile");
const loadExistingFile_1 = require("./loadExistingFile");
const writeAndAddFile_1 = require("./writeAndAddFile");
const addToGitIgnore = (config, topic, entry) => __awaiter(void 0, void 0, void 0, function* () {
    yield (0, exports.appendToIgnoreFile)(config, ".gitignore", topic, entry);
    yield (0, exports.appendToIgnoreFile)(config, ".prettierignore", topic, entry);
});
exports.addToGitIgnore = addToGitIgnore;
const appendToIgnoreFile = (config, file, topic, entry) => __awaiter(void 0, void 0, void 0, function* () {
    const ignoreFileContent = (yield (0, loadExistingFile_1.loadExistingFile)(config, file)) || "";
    const newIgnoreFileContent = yield (0, addToIgnoreFile_1.addToIgnoreFile)(ignoreFileContent, topic, entry);
    yield (0, writeAndAddFile_1.writeAndAddFile)(config, file, newIgnoreFileContent);
});
exports.appendToIgnoreFile = appendToIgnoreFile;
