import { Logger, Options } from "../index";
import { PackageManager } from "install-pnpm-package/dist/detectPackageManager";
/**
 * There are some values that are basically required everywhere. This object bundles them.
 *
 * I just want to keep things here that define the environment that is required for some functions, but not the parameters of the function.
 */
export declare type Config = {
    targetDir: string;
    packageManager: PackageManager;
    /** Create git commits */
    gitCommits: boolean;
    /** Create/Configure a git repository. Enables git hooks */
    gitRepo: boolean;
    logger: Logger;
    update: boolean;
};
export declare const generateConfig: (config: Options) => Promise<Config>;
