"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateConfig = void 0;
const path_1 = require("path");
const generateConfig = (config) => __awaiter(void 0, void 0, void 0, function* () {
    var _a, _b, _c, _d, _e;
    return {
        targetDir: (0, path_1.normalize)((0, path_1.resolve)(process.cwd(), config.path || config.name || ".")),
        packageManager: (_a = config.packageManager) !== null && _a !== void 0 ? _a : "npm",
        gitCommits: !config.disableGitCommits,
        gitRepo: !config.disableGitRepo,
        logger: {
            logMessage: (_c = (_b = config.logger) === null || _b === void 0 ? void 0 : _b.logMessage) !== null && _c !== void 0 ? _c : (() => { }),
            logState: (_e = (_d = config.logger) === null || _d === void 0 ? void 0 : _d.logState) !== null && _e !== void 0 ? _e : (() => { }),
        },
        update: !!config.update,
    };
});
exports.generateConfig = generateConfig;
