"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.installPackage = void 0;
const addPackageJsonToGit_1 = require("./addPackageJsonToGit");
const resolvePackageVersion_1 = require("./resolvePackageVersion");
const install_pnpm_package_1 = require("install-pnpm-package");
const installPackage = (config, packageName, options) => __awaiter(void 0, void 0, void 0, function* () {
    const packages = Array.isArray(packageName) ? packageName : [packageName];
    const versionedPackageNames = packages.map(packageName => `${packageName}@${(0, resolvePackageVersion_1.getPackageVersion)(packageName)}`);
    yield (0, install_pnpm_package_1.addPackage)(versionedPackageNames, {
        directory: config.targetDir,
        type: (options === null || options === void 0 ? void 0 : options.peer) ? "peer" : (options === null || options === void 0 ? void 0 : options.prod) ? "normal" : "dev",
        packageManager: config.packageManager,
    });
    yield (0, addPackageJsonToGit_1.addPackageJsonToGit)(config);
});
exports.installPackage = installPackage;
