"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortAndStringify = void 0;
const sortAndStringify = (obj) => {
    if (Array.isArray(obj)) {
        return "[" + obj.map(exports.sortAndStringify).sort().join(",") + "]";
    }
    if (obj === null) {
        return "null";
    }
    if (obj === undefined) {
        return "undefined";
    }
    if (typeof obj === "object") {
        return ("{" +
            Object.keys(obj)
                .sort()
                .map(key => `${key}: ${(0, exports.sortAndStringify)(obj[key])}`)
                .join(",") +
            "}");
    }
    return JSON.stringify(obj) + "";
};
exports.sortAndStringify = sortAndStringify;
