"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addEmotion = void 0;
const commitWithAuthor_1 = require("../helpers/commitWithAuthor");
const installPackage_1 = require("../helpers/installPackage");
const modifyJsonFile_1 = require("../helpers/modifyJsonFile");
const withStateLogger_1 = require("../helpers/withStateLogger");
exports.addEmotion = (0, withStateLogger_1.withStateLogger)({ id: "emotion" }, (config) => __awaiter(void 0, void 0, void 0, function* () {
    yield (0, installPackage_1.installPackage)(config, ["@emotion/react"], { prod: true });
    yield (0, installPackage_1.installPackage)(config, ["@emotion/eslint-plugin"]);
    yield (0, modifyJsonFile_1.augmentJsonConfig)(config, ".eslintrc.json", {
        plugins: ["@emotion"],
        rules: {
            "@emotion/no-vanilla": "error",
            "@emotion/syntax-preference": ["error", "string"],
        },
    });
    yield (0, modifyJsonFile_1.augmentJsonConfig)(config, "tsconfig.json", {
        compilerOptions: {
            jsxImportSource: "@emotion/react",
        },
    });
    yield (0, modifyJsonFile_1.augmentJsonConfig)(config, ".vscode/extensions.json", {
        recommendations: ["styled-components.vscode-styled-components"],
    });
    yield (0, commitWithAuthor_1.commitWithAuthor)(config, "Install emotion");
}));
