"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPrettier = void 0;
const addScriptToPackage_1 = require("../helpers/addScriptToPackage");
const commitWithAuthor_1 = require("../helpers/commitWithAuthor");
const installPackage_1 = require("../helpers/installPackage");
const modifyJsonFile_1 = require("../helpers/modifyJsonFile");
const withStateLogger_1 = require("../helpers/withStateLogger");
exports.addPrettier = (0, withStateLogger_1.withStateLogger)({ id: "prettier" }, (config) => __awaiter(void 0, void 0, void 0, function* () {
    yield (0, installPackage_1.installPackage)(config, ["prettier", "prettier-plugin-organize-imports"]);
    const prettierRcObject = {
        arrowParens: "avoid",
        bracketSpacing: true,
        embeddedLanguageFormatting: "auto",
        htmlWhitespaceSensitivity: "css",
        insertPragma: false,
        bracketSameLine: false,
        jsxSingleQuote: false,
        printWidth: 120,
        proseWrap: "always",
        quoteProps: "consistent",
        requirePragma: false,
        semi: false,
        singleQuote: false,
        tabWidth: 2,
        trailingComma: "es5",
        useTabs: false,
        vueIndentScriptAndStyle: false,
        plugins: ["prettier-plugin-organize-imports"],
        overrides: [
            {
                files: ["flake.lock"],
                options: { parser: "json" },
            },
        ],
    };
    yield (0, modifyJsonFile_1.augmentJsonConfig)(config, ".prettierrc.json", prettierRcObject);
    yield (0, addScriptToPackage_1.addScriptToPackage)(config, "format", "prettier --write .");
    yield (0, addScriptToPackage_1.appendScriptToPackage)(config, "lint", "prettier . --check");
    yield (0, commitWithAuthor_1.commitWithAuthor)(config, "Install prettier");
}));
